rm -f stderr* stdout* ;
rm -f CMakeCache.txt cmake_install.cmake Makefile ;
rm -rf CMakeFiles ;
rm -f *~ ;

#if at home (default)
INC_DIR=/opt/spark/include/simspark/
LIB_DIR=/opt/spark/lib/simspark/

if [ "$#" = "1" ]; then
  if [ "$1" = "1" ]; then  
    #if at german open
    INC_DIR=/usr/local/include/simspark/
    LIB_DIR=/usr/local/lib/simspark/
  fi
  if [ "$1" = "2" ]; then  
    #if at rcup
    INC_DIR=/usr/include/simspark/
    LIB_DIR=/usr/lib64/simspark/
  fi
fi

##[first time only] 
##echo "export LD_LIBRARY_PATH=$LIB_DIR:$LD_LIBRARY_PATH" >> ~/.bashrc

cmake -DCMAKE_CXX_FLAGS="-I$INC_DIR -L$LIB_DIR" -DCMAKE_C_FLAGS="-I$INC_DIR -L$LIB_DIR" -DCMAKE_EXE_LINKER_FLAGS="-lsalt -lzeitgeist -loxygen -lkerosin -lrcssnet3D -lspark" ../ ;



